-- ------------------------------------------------------------- --
-- APM-3441 - AC, risk criticality specified beyond high and low
-- ------------------------------------------------------------- --
ALTER TABLE `ic_control` 
	CHANGE COLUMN `criticality` `criticality` TINYINT(1) NOT NULL DEFAULT '0' ,
	CHANGE COLUMN `frequency` `frequency` TINYINT(1) NOT NULL DEFAULT '9' ,
	CHANGE COLUMN `executer_minimum` `executer_minimum` TINYINT(1) NOT NULL DEFAULT '1' ,
	CHANGE COLUMN `approver_minimum` `approver_minimum` TINYINT(1) NOT NULL DEFAULT '1' ;

ALTER TABLE `sod_rule` 
	CHANGE COLUMN `risk_level` `risk_level` ENUM('Low', 'Medium', 'High', 'Critical', 'Hazardous') CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_unicode_ci' NOT NULL DEFAULT 'Low' ,
	CHANGE COLUMN `approver_minimum` `approver_minimum` TINYINT(1) NULL DEFAULT NULL ,
	CHANGE COLUMN `workflow_autostart` `workflow_autostart` TINYINT(1) NOT NULL DEFAULT '0' ,
	CHANGE COLUMN `workflow_frequency` `workflow_frequency` TINYINT(1) NOT NULL DEFAULT '9' ;